Skip to main content
POST
Transcribe video

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

The ID of the video library.

videoId
string
required

The GUID of the video.

Query Parameters

force
boolean
default:false

If set to true, re-queues transcription even if the video was already auto-transcribed. This re-bills transcription usage.

Body

application/json

Used to override video library transcription settings, null by default

targetLanguages
string[] | null

List of languages that will be used as target languages, use ISO 639-1 language codes.

generateTitle
boolean | null

Whether video title should be automatically generated.

generateDescription
boolean | null

Whether video description should be automatically generated.

generateChapters
boolean | null

Whether video chapters should be automatically generated.

generateMoments
boolean | null

Whether video moments should be automatically generated.

sourceLanguage
string | null

Video source language, use ISO 639-1 language code.

Response

The transcription was queued

success
boolean

Determines if the request was successful

message
string | null

Human-readable message describing the result, typically populated with error details when Success is false.

statusCode
integer<int32>

The HTTP status code corresponding to the result of the request.

Last modified on September 10, 2026